2016-07-15 1 views
0

Ich verwende die Google Places-Autocomplete-API an zwei Stellen in meiner App, teilt aber dasselbe Skript und API_KEY. In einem Ort arbeitet die Orte der automatische Vervollständigung in Ordnung, aber in dem anderes scheitert es still, außer für den Rückgabewert in der „AutocompletionService.GetPredictions“ Anfrage im Netzwerk Tab:Google Places Autocomplete-Auth-Inkonsistenz: "Dieses API-Projekt ist nicht zur Verwendung dieser API berechtigt."

/**/_xdc_._6bvokq && _xdc_._6bvokq([3, null, null,…]) 
0: 3 
1: null 
2: null 
3: "This API project is not authorized to use this API. Please ensure this API is activated in the Google Developers Console: https://console.developers.google.com/apis/api/places_backend?project=_ For more information on authentication and Google Maps Javascript API services please see: https://developers.google.com/maps/documentation/javascript/get-api-key 

Ich habe „enabled“ die Orte Web-API sowie die Karten Javascript api in meiner Google Developer API-Konsole.

+0

Geben Sie ein [minimales, vollständiges, getestetes und lesbares Beispiel] (http://stackoverflow.com/help/mcve) an, das das Problem veranschaulicht. – geocodezip

+0

@ steven-harlow Ich habe den gleichen Fehler und ich verwende den gleichen Schlüssel auf verschiedenen Subdomains ..; das eine funktioniert, das andere nicht ... irgendwelche Fortschritte? – Florent

Antwort

1

Ich habe dieses Problem ebenfalls erlebt und es gelöst, indem ich die Geolocation- und Geocoding-Webdienste aktiviert habe. Je nach Standort werden diese ebenfalls abgefragt. Nachdem ich diese Dienste in der API aktiviert hatte, war das Problem für mich gelöst. Hoffe das gleiche funktioniert für dich.

Verwandte Themen